## erlang-cf 0.2.2

=== Makefile ===
TERMCAP_FILE=http://code.metager.de/source/raw/OpenBSD/src/share/termtypes/termtypes.master

src/termcap.erl: termtypes.master.clean mk-termcap.escript termcap.erl
	./mk-termcap.escript termtypes.master.clean  > src/cf_term.erl

mk-termcap.escript:

termcap.erl:

clean:
	[ -f termtypes.master ] && rm termtypes.master || true
	[ -f termtypes.master.clean ] && rm termtypes.master.clean || true
	
termtypes.master.clean: termtypes.master
	cat termtypes.master | grep -v '^#' | grep -v '^\s*$$' > termtypes.master.clean

termtypes.master:
	curl -O $(TERMCAP_FILE)

## erlang-cf 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 TERMCAP_FILE=http://code.metager.de/source/raw/OpenBSD/src/share/termtypes/termtypes.master
+
+all: src/termcap.erl
+	rebar3 compile
 
 src/termcap.erl: termtypes.master.clean mk-termcap.escript termcap.erl
 	./mk-termcap.escript termtypes.master.clean  > src/cf_term.erl
@@ -10,7 +13,10 @@
 clean:
 	[ -f termtypes.master ] && rm termtypes.master || true
 	[ -f termtypes.master.clean ] && rm termtypes.master.clean || true
-	
+
+compile:
+	rebar3 compile
+
 termtypes.master.clean: termtypes.master
 	cat termtypes.master | grep -v '^#' | grep -v '^\s*$$' > termtypes.master.clean

=== debian/changelog ===
erlang-cf (0.3.1-1) unstable; urgency=low

  * Initial release. (Closes: #901493)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 30 May 2018 09:26:43 +0900

=== debian/control ===
Source: erlang-cf
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11),
               erlang-dev,
               dh-rebar
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-cf
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-cf.git
Homepage: https://github.com/project-fifo/cf

Package: erlang-cf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Erlang/OTP library for termial colour printing
 A Erlang/OTP helper library for termial colour printing extending the
 io:format syntax to add colours.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_clean:
	rm -rf ebin priv
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/jiffy-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/project-fifo/cf/tags .*/v?(\d\S*)\.tar\.gz
